//: /be/optiloading/ShipParticular.class
/*
 * This work is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This work is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2007 Tim Pintens. All rights reserved.
 */

package be.optiloading;

/** 
 * Enum class used to create a list of the different ship particulars.
 * @author Tim Pintens, info@optiloading.be
 * @author <a target="_blank" href="http://www.optiloading.be">www.optiloading.be</a>
 */

public enum ShipParticular {
	DENSITY, DISPLACEMENT, DRAUGHT, LCF, LCB, MCT, MAXDISPLACEMENT, MINDISPLACEMENT, LIGHTSHIP, LIGHTSHIP_LCF, NUMBEROFTANKS, LBPP, TRIM, DFWD, DAFT, LCG, KM, FSC, GM, KB, KG, DEADWEIGHT, CONSTANTS;
}